Loading...
Searching...
No Matches
TorsionAngle.h File Reference
`#include <RDGeneral/export.h>`
`#include <ForceField/Contrib.h>`
`#include <tuple>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | ForceFields::MMFF::TorsionAngleContrib
| the torsion term for MMFF More...

## Namespaces

namespace | RDGeom
namespace | ForceFields
namespace | ForceFields::MMFF
namespace | ForceFields::MMFF::Utils

## Functions

RDKIT_FORCEFIELD_EXPORT double | ForceFields::MMFF::Utils::calcTorsionCosPhi (const RDGeom::Point3D &iPoint, const RDGeom::Point3D &jPoint, const RDGeom::Point3D &kPoint, const RDGeom::Point3D &lPoint)
| calculates and returns the cosine of a torsion angle
RDKIT_FORCEFIELD_EXPORT std::tuple< double, double, double > | ForceFields::MMFF::Utils::calcTorsionForceConstant (const MMFFTor *mmffTorParams)
| returns the 3-tuple of a torsion angle force constants
RDKIT_FORCEFIELD_EXPORT double | ForceFields::MMFF::Utils::calcTorsionEnergy (const double V1, const double V2, const double V3, const double cosPhi)
| calculates and returns the torsional MMFF energy
RDKIT_FORCEFIELD_EXPORT void | ForceFields::MMFF::Utils::calcTorsionGrad (RDGeom::Point3D *r, RDGeom::Point3D *t, double *d, double **g, double &sinTerm, double &cosPhi)